<?php

/**
 * firma_rp actions.
 *
 * @package    controlComisiones
 * @subpackage firma_rp
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 23810 2009-11-12 11:07:44Z Kris.Wallsmith $
 */
class firma_rpActions extends sfQuery
{
 /*
     * ------------VARIABLES PARA SERVICIOS DE CONSULTA - LIST
     */

    protected $table_names = array(
        'FIRMA_RP'
    ); //tablas para construir el sql, por medio de joins
    protected $table_join_ids = array(

    ); //si posee tablas para joins, identificar la relacion de los campos con las tablas
    protected $fields = array(
        'FIRMA_RP' =>
        array(
            'id'=>'id',
            'cargo'=>'cargo',
            'nombre'=>'nombre',
            'cargo2'=>'cargo2',
            'normatividad'=>'normatividad',
            'tipo_firma'=>'tipo_firma',
            'estado'=>'estado',
        ),
    ); //por cada tabla especificar los campos del select
    protected $fields_orderBy = array(
        'cargo', 'nombre'
    ); //campos para el ordenamiento de la consulta
    /*
     * OPCIONES DE FILTRO:
     *
     * LIKEALLPLUS- busqueda comparativa de la cadena dividida por los espacios en blanco en cualquier posición
     * LIKEALL - busqueda comparativa de la cadena en cualquier posición
     * LIKE - busqueda en la cadena que inicie por la variable de filtro
     *
     * rownum,start - rownum,end / estos campos para uso del Grid live GWT, numero fijo de filas de consulta
     */
    protected $table_field_conditions = array(
        'FIRMA_RP' =>
        array(
            'id,a' => array('!=' => array(-1)),
            'id,b' => array('=' => array('id_resoluciones')),
            'estado' => array('=' => array('estado')),
            'rownum,start' => array('>' => array('_startRow')),
            'rownum,end' => array('<=' => array('_endRow'))
        )
    ); //por cada tabla se dan los campos, opcion de filtro y variable que entra para los posibles filtros
    protected $table_field_or_conditions = array(
    ); // filtros de condicion or
    /*
     * Variable manejo de log
     */
    //true - consulta de menu administracion
    protected $is_admin = true;
    //si es servicio para filtro agregar campo
//    protected $filtro = 'Perfiles';
    //true - la tabla principal de busqueda no es una vista
    protected $is_filtro = true;
    /*
     * ------------VARIABLES PARA SERVICIOS CRUD
     */
    //protected $id_name = 'id_resoluciones'; //identificador de la tabla
    //protected $id_names = array('id_resoluciones'); //llave primaria
    //protected $field_names = array('id_resol_orig', 'resolucion', 'firma', 'id_vigencia', 'vigencia', 'id_tipo_resol', 
    //                                'modificacion','aclaracion','fecha_resol','usuariolog','fechalog'); //campos de la tabla, sin la llave primaria
    //protected $table_name = 'PR_RESOLUCIONES'; //tabla en la cual se aplican los cambios 
    /*
     * Manejo de registro log
     */
    //protected $id_unico = 'id_resoluciones'; //identificador unico de la tabla

    protected function postprocessRequest($Action, \sfWebRequest $request, $list_data_post) {
        /*
         * Se instancia la clase del manejo del log
         */
        $logger = sfContext::getInstance()->getLogger();
        //$logger->info("Entro a postprocessRequest - " . $list_data_post);
        /*
         * Procesar Request
         */
        //accion add
        if ($Action == "ADD") {
            
        }

        //accion update
        if ($Action == "UPDATE") {
            
        }

        //accion remove
        if ($Action == "REMOVE") {
            
        }

        return $request;
    }

    protected function preprocessRequest($Action, \sfWebRequest $request) {
        /*
         * Se instancia la clase del manejo del log
         */
        $logger = sfContext::getInstance()->getLogger();
        $logger->info("Entro a preprocessRequest");

        /*
         * Procesar Request
         */
        //accion add
        if ($Action == "ADD") {
            //


        }

        //accion update
        if ($Action == "UPDATE") {
            
        }

        //accion remove
        if ($Action == "REMOVE") {
            
        }

        return $request;
    }

    protected function validateAdd(\sfWebRequest $request) {
        //valor por defecto
        $errors = null;

        /*
         *  Validar la operación, ya sea por SQL
         */


        /*
         *  Generar errores en $errors
         */

        return $errors;
    }

    protected function validateRemove(\sfWebRequest $request) {
        //valor por defecto
        $errors = null;

        /*
         *  Validar la operación, ya sea por SQL
         */

        /*
         *  Generar errores en $errors
         */

        return $errors;
    }

    protected function validateUpdate(\sfWebRequest $request) {
        //valor por defecto
        $errors = null;

        return $errors;
    }
}
